[Pkg-bitcoin-commits] [bitcoin] 70/126: [verify-commits] Allow revoked keys to expire

Jonas Smedegaard dr at jones.dk
Mon Nov 13 20:02:30 UTC 2017


This is an automated email from the git hooks/post-receive script.

js pushed a commit to annotated tag debian/0.15.1_dfsg-1
in repository bitcoin.

commit 01223a02613610c7477449929dc74db96229f13d
Author: Matt Corallo <git at bluematt.me>
Date:   Fri Oct 20 16:35:16 2017 -0400

    [verify-commits] Allow revoked keys to expire
    
    Github-Pull: #11539
    Rebased-From: d23be309c2c45f655d5f5405e031833fb4b6bbb4
---
 contrib/verify-commits/gpg.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/contrib/verify-commits/gpg.sh b/contrib/verify-commits/gpg.sh
index b01e2a6..abd8f5f 100755
--- a/contrib/verify-commits/gpg.sh
+++ b/contrib/verify-commits/gpg.sh
@@ -46,6 +46,11 @@ for LINE in $(echo "$GPG_RES"); do
 		REVSIG=true
 		GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
 		;;
+	"[GNUPG:] EXPKEYSIG "*)
+		[ "$BITCOIN_VERIFY_COMMITS_ALLOW_REVSIG" != 1 ] && exit 1
+		REVSIG=true
+		GOODREVSIG="[GNUPG:] GOODSIG ${LINE#* * *}"
+		;;
 	esac
 done
 if ! $VALID; then

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-bitcoin/bitcoin.git



More information about the Pkg-bitcoin-commits mailing list